//
// This code was generated by Enunciate.
// http://enunciate.codehaus.org/
//
#include <libxml/xmlwriter.h>
#include <libxml/xmlreader.h>
#include <Foundation/Foundation.h>

#ifndef DEBUG_ENUNCIATE
//turn off enunciate debugging.
#define DEBUG_ENUNCIATE 0
#endif

/**
 * Enunciate-specific interfaces and protocols.
 */
#ifndef ENUNCIATE_OBJC_TYPES
#define ENUNCIATE_OBJC_TYPES

/**
 * Protocol defining an Enunciate XML I/O methods.
 */
@protocol EnunciateXML

/**
 * Read an instance from XML.
 *
 * @param xml The XML to read.
 */
+ (id<EnunciateXML>) readFromXML: (NSData *) xml;

/**
 * Write this instance as XML.
 *
 * @return The XML.
 */
- (NSData *) writeToXML;

@end /*protocol EnunciateXML*/


/**
 * A basic XML node. Can be an element or an attribute. Used
 * instead of NSXMLElement because it's not supported on all
 * platforms yet.
 */
@interface JAXBBasicXMLNode : NSObject
{
  @private
    NSString *_name;
    NSString *_ns;
    NSString *_prefix;
    NSString *_value;
    NSArray  *_childElements;
    NSArray  *_attributes;
}

/**
 * Accessor for the (local) name of the XML node.
 *
 * @return The (local) name of the XML node.
 */
- (NSString *) name;

/**
 * Accessor for the (local) name of the XML node.
 *
 * @param newName The (local) name of the XML node.
 */
- (void) setName: (NSString *) newName;

/**
 * Accessor for the namespace of the XML node.
 *
 * @return The namespace of the XML node.
 */
- (NSString *) ns;

/**
 * Accessor for the namespace of the XML node.
 *
 * @param newNs The namespace of the XML node.
 */
- (void) setNs: (NSString *) newNs;

/**
 * Accessor for the namespace prefix of the XML node.
 *
 * @return The namespace prefix of the XML node.
 */
- (NSString *) prefix;

/**
 * Accessor for the namespace prefix of the XML node.
 *
 * @param newPrefix The namespace prefix of the XML node.
 */
- (void) setPrefix: (NSString *) newPrefix;

/**
 * Accessor for the value of the XML node.
 *
 * @return The value of the XML node.
 */
- (NSString *) value;

/**
 * Accessor for the value of the XML node.
 *
 * @param newValue The value of the XML node.
 */
- (void) setValue: (NSString *) newValue;

/**
 * Accessor for the child elements of the XML node.
 *
 * @return The child elements of the XML node.
 */
- (NSArray *) childElements;

/**
 * Accessor for the child elements of the XML node.
 *
 * @param newValue The child elements of the XML node.
 */
- (void) setChildElements: (NSArray *) newChildElements;

/**
 * Accessor for the attributes of the XML node.
 *
 * @return The attributes of the XML node.
 */
- (NSArray *) attributes;

/**
 * Accessor for the attributes of the XML node.
 *
 * @param newAttributes The attributes of the XML node.
 */
- (void) setAttributes: (NSArray *) newAttributes;
@end /*interface JAXBBasicXMLNode*/

#endif /* ENUNCIATE_OBJC_TYPES */


@class NEXUS_INDEXER_LUCENE_PLUGINNS0NexusArtifact;
@class NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGArtifact;
@class NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGArtifactLink;
@class NEXUS_INDEXER_LUCENE_PLUGINNS0NexusResponse;
@class NEXUS_INDEXER_LUCENE_PLUGINNS0RepositoryUrlResource;
@class NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGRepositoryDetail;
@class NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGArtifactHit;
@class NEXUS_INDEXER_LUCENE_PLUGINNS0ArtifactInfoResource;
@class NEXUS_INDEXER_LUCENE_PLUGINNS0NexusIndexerResponse;
@class NEXUS_INDEXER_LUCENE_PLUGINNS0SearchResponse;
@class NEXUS_INDEXER_LUCENE_PLUGINNS0SearchNGResponse;
@class NEXUS_INDEXER_LUCENE_PLUGINNS0ArtifactInfoResourceResponse;

#ifndef DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0NexusArtifact_H
#define DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0NexusArtifact_H

/**
 *  Artifact details sent back on search requests.
 
 @version $Revision$ $Date$

 */
@interface NEXUS_INDEXER_LUCENE_PLUGINNS0NexusArtifact : NSObject
{
  @private
    NSString *_resourceURI;
    NSString *_groupId;
    NSString *_artifactId;
    NSString *_version;
    NSString *_classifier;
    NSString *_packaging;
    NSString *_extension;
    NSString *_repoId;
    NSString *_contextId;
    NSString *_pomLink;
    NSString *_artifactLink;
    NSString *_highlightedFragment;
}

/**
 * The URL that can be used to retrieve the artifact.
 */
- (NSString *) resourceURI;

/**
 * The URL that can be used to retrieve the artifact.
 */
- (void) setResourceURI: (NSString *) newResourceURI;

/**
 * The group id of the artifact.
 */
- (NSString *) groupId;

/**
 * The group id of the artifact.
 */
- (void) setGroupId: (NSString *) newGroupId;

/**
 * The artifact id of the artifact.
 */
- (NSString *) artifactId;

/**
 * The artifact id of the artifact.
 */
- (void) setArtifactId: (NSString *) newArtifactId;

/**
 * The version of the artifact.
 */
- (NSString *) version;

/**
 * The version of the artifact.
 */
- (void) setVersion: (NSString *) newVersion;

/**
 * The classifier of the artifact.
 */
- (NSString *) classifier;

/**
 * The classifier of the artifact.
 */
- (void) setClassifier: (NSString *) newClassifier;

/**
 * The packaging of the artifact.
 */
- (NSString *) packaging;

/**
 * The packaging of the artifact.
 */
- (void) setPackaging: (NSString *) newPackaging;

/**
 * The extension of the artifact.
 */
- (NSString *) extension;

/**
 * The extension of the artifact.
 */
- (void) setExtension: (NSString *) newExtension;

/**
 * The repository id where the artifact is stored.
 */
- (NSString *) repoId;

/**
 * The repository id where the artifact is stored.
 */
- (void) setRepoId: (NSString *) newRepoId;

/**
 * The indexing context where the artifact is indexed.
 */
- (NSString *) contextId;

/**
 * The indexing context where the artifact is indexed.
 */
- (void) setContextId: (NSString *) newContextId;

/**
 * URL that would give you the pom file.
 */
- (NSString *) pomLink;

/**
 * URL that would give you the pom file.
 */
- (void) setPomLink: (NSString *) newPomLink;

/**
 * URL that would give you the artifact file.
 */
- (NSString *) artifactLink;

/**
 * URL that would give you the artifact file.
 */
- (void) setArtifactLink: (NSString *) newArtifactLink;

/**
 * A HTML highlighted fragment of the matched hit.
 */
- (NSString *) highlightedFragment;

/**
 * A HTML highlighted fragment of the matched hit.
 */
- (void) setHighlightedFragment: (NSString *) newHighlightedFragment;
@end /* interface NEXUS_INDEXER_LUCENE_PLUGINNS0NexusArtifact */

#endif /* DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0NexusArtifact_H */
#ifndef DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGArtifact_H
#define DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGArtifact_H

/**
 *  Artifact details sent back on search requests.
 
 @version $Revision$ $Date$

 */
@interface NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGArtifact : NSObject
{
  @private
    NSString *_groupId;
    NSString *_artifactId;
    NSString *_version;
    NSString *_latestSnapshot;
    NSString *_latestSnapshotRepositoryId;
    NSString *_latestRelease;
    NSString *_latestReleaseRepositoryId;
    NSString *_highlightedFragment;
    NSArray *_artifactHits;
}

/**
 * The group id of the artifact.
 */
- (NSString *) groupId;

/**
 * The group id of the artifact.
 */
- (void) setGroupId: (NSString *) newGroupId;

/**
 * The artifact id of the artifact.
 */
- (NSString *) artifactId;

/**
 * The artifact id of the artifact.
 */
- (void) setArtifactId: (NSString *) newArtifactId;

/**
 * The version of the artifact.
 */
- (NSString *) version;

/**
 * The version of the artifact.
 */
- (void) setVersion: (NSString *) newVersion;

/**
 * The latest snapshot version of the artifact.
 */
- (NSString *) latestSnapshot;

/**
 * The latest snapshot version of the artifact.
 */
- (void) setLatestSnapshot: (NSString *) newLatestSnapshot;

/**
 * The repository of latest snapshot version of the artifact.
 */
- (NSString *) latestSnapshotRepositoryId;

/**
 * The repository of latest snapshot version of the artifact.
 */
- (void) setLatestSnapshotRepositoryId: (NSString *) newLatestSnapshotRepositoryId;

/**
 * The latest release version of the artifact.
 */
- (NSString *) latestRelease;

/**
 * The latest release version of the artifact.
 */
- (void) setLatestRelease: (NSString *) newLatestRelease;

/**
 * The repository of latest release version of the artifact.
 */
- (NSString *) latestReleaseRepositoryId;

/**
 * The repository of latest release version of the artifact.
 */
- (void) setLatestReleaseRepositoryId: (NSString *) newLatestReleaseRepositoryId;

/**
 * A HTML highlighted fragment of the matched hit.
 */
- (NSString *) highlightedFragment;

/**
 * A HTML highlighted fragment of the matched hit.
 */
- (void) setHighlightedFragment: (NSString *) newHighlightedFragment;

/**
 * Field artifactHits.
 */
- (NSArray *) artifactHits;

/**
 * Field artifactHits.
 */
- (void) setArtifactHits: (NSArray *) newArtifactHits;
@end /* interface NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGArtifact */

#endif /* DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGArtifact_H */
#ifndef DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGArtifactLink_H
#define DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGArtifactLink_H

/**
 *  Artifact hit link details sent back on search requests.
 
 @version $Revision$ $Date$

 */
@interface NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGArtifactLink : NSObject
{
  @private
    NSString *_classifier;
    NSString *_extension;
}

/**
 * The classifier of the artifact.
 */
- (NSString *) classifier;

/**
 * The classifier of the artifact.
 */
- (void) setClassifier: (NSString *) newClassifier;

/**
 * The extension of the artifact.
 */
- (NSString *) extension;

/**
 * The extension of the artifact.
 */
- (void) setExtension: (NSString *) newExtension;
@end /* interface NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGArtifactLink */

#endif /* DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGArtifactLink_H */
#ifndef DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0NexusResponse_H
#define DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0NexusResponse_H

/**
 * (no documentation provided)
 */
@interface NEXUS_INDEXER_LUCENE_PLUGINNS0NexusResponse : NSObject
{
  @private
}
@end /* interface NEXUS_INDEXER_LUCENE_PLUGINNS0NexusResponse */

#endif /* DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0NexusResponse_H */
#ifndef DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0RepositoryUrlResource_H
#define DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0RepositoryUrlResource_H

/**
 *  The repository url information for a given artifact.
 
 @version $Revision$ $Date$

 */
@interface NEXUS_INDEXER_LUCENE_PLUGINNS0RepositoryUrlResource : NSObject
{
  @private
    NSString *_repositoryId;
    NSString *_repositoryName;
    NSString *_path;
    NSString *_artifactUrl;
    BOOL _canView;
}

/**
 * The repository where the artifact is stored.
 */
- (NSString *) repositoryId;

/**
 * The repository where the artifact is stored.
 */
- (void) setRepositoryId: (NSString *) newRepositoryId;

/**
 * The repository where the artifact is stored.
 */
- (NSString *) repositoryName;

/**
 * The repository where the artifact is stored.
 */
- (void) setRepositoryName: (NSString *) newRepositoryName;

/**
 * The artifact path.
 */
- (NSString *) path;

/**
 * The artifact path.
 */
- (void) setPath: (NSString *) newPath;

/**
 * The artifact url.
 */
- (NSString *) artifactUrl;

/**
 * The artifact url.
 */
- (void) setArtifactUrl: (NSString *) newArtifactUrl;

/**
 * Tells if the users has view access to a given artifact.
 */
- (BOOL) canView;

/**
 * Tells if the users has view access to a given artifact.
 */
- (void) setCanView: (BOOL) newCanView;
@end /* interface NEXUS_INDEXER_LUCENE_PLUGINNS0RepositoryUrlResource */

#endif /* DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0RepositoryUrlResource_H */
#ifndef DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGRepositoryDetail_H
#define DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGRepositoryDetail_H

/**
 *  Artifact repository details sent back on search requests.
 
 @version $Revision$ $Date$

 */
@interface NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGRepositoryDetail : NSObject
{
  @private
    NSString *_repositoryId;
    NSString *_repositoryName;
    NSString *_repositoryContentClass;
    NSString *_repositoryKind;
    NSString *_repositoryPolicy;
    NSString *_repositoryURL;
}

/**
 * The repository ID.
 */
- (NSString *) repositoryId;

/**
 * The repository ID.
 */
- (void) setRepositoryId: (NSString *) newRepositoryId;

/**
 * The repository name.
 */
- (NSString *) repositoryName;

/**
 * The repository name.
 */
- (void) setRepositoryName: (NSString *) newRepositoryName;

/**
 * The repository content class.
 */
- (NSString *) repositoryContentClass;

/**
 * The repository content class.
 */
- (void) setRepositoryContentClass: (NSString *) newRepositoryContentClass;

/**
 * The repository kind (hosted, proxy, group).
 */
- (NSString *) repositoryKind;

/**
 * The repository kind (hosted, proxy, group).
 */
- (void) setRepositoryKind: (NSString *) newRepositoryKind;

/**
 * The repository policy (RELEASE or SNAPSHOT).
 */
- (NSString *) repositoryPolicy;

/**
 * The repository policy (RELEASE or SNAPSHOT).
 */
- (void) setRepositoryPolicy: (NSString *) newRepositoryPolicy;

/**
 * The repository base URL.
 */
- (NSString *) repositoryURL;

/**
 * The repository base URL.
 */
- (void) setRepositoryURL: (NSString *) newRepositoryURL;
@end /* interface NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGRepositoryDetail */

#endif /* DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGRepositoryDetail_H */
#ifndef DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGArtifactHit_H
#define DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGArtifactHit_H

/**
 *  Artifact hit details sent back on search requests.
 
 @version $Revision$ $Date$

 */
@interface NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGArtifactHit : NSObject
{
  @private
    NSString *_repositoryId;
    NSArray *_artifactLinks;
}

/**
 * The repository ID.
 */
- (NSString *) repositoryId;

/**
 * The repository ID.
 */
- (void) setRepositoryId: (NSString *) newRepositoryId;

/**
 * Field artifactLinks.
 */
- (NSArray *) artifactLinks;

/**
 * Field artifactLinks.
 */
- (void) setArtifactLinks: (NSArray *) newArtifactLinks;
@end /* interface NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGArtifactHit */

#endif /* DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0NexusNGArtifactHit_H */
#ifndef DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0ArtifactInfoResource_H
#define DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0ArtifactInfoResource_H

/**
 *  Details about the requested item, that should be useful in
 finding how the item was retrieved.
       
 
 @version $Revision$ $Date$

 */
@interface NEXUS_INDEXER_LUCENE_PLUGINNS0ArtifactInfoResource : NSObject
{
  @private
    BOOL _presentLocally;
    NSString *_repositoryId;
    NSString *_repositoryName;
    NSString *_repositoryPath;
    NSString *_mimeType;
    NSString *_uploader;
    long _uploaded;
    long _lastChanged;
    long _size;
    NSString *_sha1Hash;
    NSString *_md5Hash;
    NSArray *_repositories;
    BOOL _canDelete;
}

/**
 * The flag that marks item as locally present (hosted/cached).
 */
- (BOOL) presentLocally;

/**
 * The flag that marks item as locally present (hosted/cached).
 */
- (void) setPresentLocally: (BOOL) newPresentLocally;

/**
 * The repository where the artifact is stored.
 */
- (NSString *) repositoryId;

/**
 * The repository where the artifact is stored.
 */
- (void) setRepositoryId: (NSString *) newRepositoryId;

/**
 * The repository name where the artifact is stored.
 */
- (NSString *) repositoryName;

/**
 * The repository name where the artifact is stored.
 */
- (void) setRepositoryName: (NSString *) newRepositoryName;

/**
 * The path in repository where the artifact is stored.
 */
- (NSString *) repositoryPath;

/**
 * The path in repository where the artifact is stored.
 */
- (void) setRepositoryPath: (NSString *) newRepositoryPath;

/**
 * The MIME type of the artifact.
 */
- (NSString *) mimeType;

/**
 * The MIME type of the artifact.
 */
- (void) setMimeType: (NSString *) newMimeType;

/**
 * User id that uploaded the artifact.
 */
- (NSString *) uploader;

/**
 * User id that uploaded the artifact.
 */
- (void) setUploader: (NSString *) newUploader;

/**
 * When the artifact was uploaded.
 */
- (long) uploaded;

/**
 * When the artifact was uploaded.
 */
- (void) setUploaded: (long) newUploaded;

/**
 * When the artifact was changed for the last time.
 */
- (long) lastChanged;

/**
 * When the artifact was changed for the last time.
 */
- (void) setLastChanged: (long) newLastChanged;

/**
 * Artifact size on disk.
 */
- (long) size;

/**
 * Artifact size on disk.
 */
- (void) setSize: (long) newSize;

/**
 * Sha1 Hash.
 */
- (NSString *) sha1Hash;

/**
 * Sha1 Hash.
 */
- (void) setSha1Hash: (NSString *) newSha1Hash;

/**
 * Md5 Hash.
 */
- (NSString *) md5Hash;

/**
 * Md5 Hash.
 */
- (void) setMd5Hash: (NSString *) newMd5Hash;

/**
 * Field repositories.
 */
- (NSArray *) repositories;

/**
 * Field repositories.
 */
- (void) setRepositories: (NSArray *) newRepositories;

/**
 * Informs if current user has what is needed to delete this
artifact.
 */
- (BOOL) canDelete;

/**
 * Informs if current user has what is needed to delete this
artifact.
 */
- (void) setCanDelete: (BOOL) newCanDelete;
@end /* interface NEXUS_INDEXER_LUCENE_PLUGINNS0ArtifactInfoResource */

#endif /* DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0ArtifactInfoResource_H */
#ifndef DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0NexusIndexerResponse_H
#define DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0NexusIndexerResponse_H

/**
 *  Class NexusIndexerResponse.
 
 @version $Revision$ $Date$

 */
@interface NEXUS_INDEXER_LUCENE_PLUGINNS0NexusIndexerResponse : NEXUS_INDEXER_LUCENE_PLUGINNS0NexusResponse
{
  @private
}
@end /* interface NEXUS_INDEXER_LUCENE_PLUGINNS0NexusIndexerResponse */

#endif /* DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0NexusIndexerResponse_H */
#ifndef DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0SearchResponse_H
#define DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0SearchResponse_H

/**
 *  REST Response object for a list of search results, contains the
 typical 'data' parameter, which is a
         list of search results.
 
 @version $Revision$ $Date$

 */
@interface NEXUS_INDEXER_LUCENE_PLUGINNS0SearchResponse : NEXUS_INDEXER_LUCENE_PLUGINNS0NexusIndexerResponse <EnunciateXML>
{
  @private
    int _totalCount;
    int _from;
    int _count;
    BOOL _tooManyResults;
    NSArray *_data;
}

/**
 * The total number of results.
 */
- (int) totalCount;

/**
 * The total number of results.
 */
- (void) setTotalCount: (int) newTotalCount;

/**
 * The starting index of the results.
 */
- (int) from;

/**
 * The starting index of the results.
 */
- (void) setFrom: (int) newFrom;

/**
 * The number of results in this response.
 */
- (int) count;

/**
 * The number of results in this response.
 */
- (void) setCount: (int) newCount;

/**
 * Flag that states if too many results were found.
 */
- (BOOL) tooManyResults;

/**
 * Flag that states if too many results were found.
 */
- (void) setTooManyResults: (BOOL) newTooManyResults;

/**
 * Field data.
 */
- (NSArray *) data;

/**
 * Field data.
 */
- (void) setData: (NSArray *) newData;
@end /* interface NEXUS_INDEXER_LUCENE_PLUGINNS0SearchResponse */

#endif /* DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0SearchResponse_H */
#ifndef DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0SearchNGResponse_H
#define DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0SearchNGResponse_H

/**
 *  REST Response object for a list of search results, contains the
 typical 'data' parameter, which is a
         list of search results.
 
 @version $Revision$ $Date$

 */
@interface NEXUS_INDEXER_LUCENE_PLUGINNS0SearchNGResponse : NEXUS_INDEXER_LUCENE_PLUGINNS0NexusIndexerResponse <EnunciateXML>
{
  @private
    int _totalCount;
    int _from;
    int _count;
    BOOL _tooManyResults;
    BOOL _collapsed;
    NSArray *_repoDetails;
    NSArray *_data;
}

/**
 * The grand total number of results found on index.
 */
- (int) totalCount;

/**
 * The grand total number of results found on index.
 */
- (void) setTotalCount: (int) newTotalCount;

/**
 * The starting index of the results.
 */
- (int) from;

/**
 * The starting index of the results.
 */
- (void) setFrom: (int) newFrom;

/**
 * The number of results in this response.
 */
- (int) count;

/**
 * The number of results in this response.
 */
- (void) setCount: (int) newCount;

/**
 * Flag that states if too many results were found.
 */
- (BOOL) tooManyResults;

/**
 * Flag that states if too many results were found.
 */
- (void) setTooManyResults: (BOOL) newTooManyResults;

/**
 * Flag that states if result set is collapsed, and shows
latest versions only.
 */
- (BOOL) collapsed;

/**
 * Flag that states if result set is collapsed, and shows
latest versions only.
 */
- (void) setCollapsed: (BOOL) newCollapsed;

/**
 * Field repoDetails.
 */
- (NSArray *) repoDetails;

/**
 * Field repoDetails.
 */
- (void) setRepoDetails: (NSArray *) newRepoDetails;

/**
 * Field data.
 */
- (NSArray *) data;

/**
 * Field data.
 */
- (void) setData: (NSArray *) newData;
@end /* interface NEXUS_INDEXER_LUCENE_PLUGINNS0SearchNGResponse */

#endif /* DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0SearchNGResponse_H */
#ifndef DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0ArtifactInfoResourceResponse_H
#define DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0ArtifactInfoResourceResponse_H

/**
 *  REST Response object for a artifact-info resource request,
 contains the typical 'data' parameter,
         which is the content items requested.
 
 @version $Revision$ $Date$

 */
@interface NEXUS_INDEXER_LUCENE_PLUGINNS0ArtifactInfoResourceResponse : NEXUS_INDEXER_LUCENE_PLUGINNS0NexusIndexerResponse <EnunciateXML>
{
  @private
    NEXUS_INDEXER_LUCENE_PLUGINNS0ArtifactInfoResource *_data;
}

/**
 * List of describe items, that will contain useful information
about the retrieved data.
 */
- (NEXUS_INDEXER_LUCENE_PLUGINNS0ArtifactInfoResource *) data;

/**
 * List of describe items, that will contain useful information
about the retrieved data.
 */
- (void) setData: (NEXUS_INDEXER_LUCENE_PLUGINNS0ArtifactInfoResource *) newData;
@end /* interface NEXUS_INDEXER_LUCENE_PLUGINNS0ArtifactInfoResourceResponse */

#endif /* DEF_NEXUS_INDEXER_LUCENE_PLUGINNS0ArtifactInfoResourceResponse_H */
